<?php
namespace Controllers;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;

class Mym00115HabilitaServicosController{
    protected $connection;

    public function __construct($connection){
        $this->connection = $connection;
    }
    
    public function atualizaRegistro($request, $response) {
        $row = $request->getRow();
        $this->connection->beginTransaction();
        try {
            $queryIdAtivoUser = "UPDATE SERVICO SET IDDISPONIVELMYMENU = :IDDISPONIVELMYMENU, IDDISPOPEDIDOSERV = :IDDISPOPEDIDOSERV WHERE CDFILIAL = :CDFILIAL AND CDSERVFILI = :CDSERVFILI";
            $queryParams = [
                "CDFILIAL" => $row["CDFILIAL"],
                "CDSERVFILI" => $row["CDSERVFILI"],
                "IDDISPONIVELMYMENU" => $row["IDDISPONIVELMYMENU"],
                "IDDISPOPEDIDOSERV" => $row["IDDISPOPEDIDOSERV"]
    		];
    		
    		$statementQuery = $this->connection->prepare($queryIdAtivoUser);
    		$statementQuery->execute($queryParams);
            $this->connection->commit();
        } catch(\Exception $e) {
            $this->connection->rollBack();
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
}
